heimdal (7.8.git20240113.1b4565a+dfsg-2ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.
    - d/t/kinit: show logs in case of test failure
    - d/t/kinit: retry kinit instead of a fixed sleep

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2026 15:02:51 +0200

heimdal (7.8.git20240113.1b4565a+dfsg-2) unstable; urgency=medium

  * Add patch to fix memory leak in _gss_ntlm_allocate_ctx during
    SASL GSSAPI binds. Closes: #1142981.

 -- Brian May <bam@debian.org>  Fri, 07 Aug 2026 07:52:40 +1000

heimdal (7.8.git20240113.1b4565a+dfsg-1ubuntu2) stonking; urgency=medium

  * d/t/kinit: show logs in case of test failure
  * d/t/kinit: retry kinit instead of a fixed sleep

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Wed, 12 Aug 2026 11:51:51 -0300

heimdal (7.8.git20240113.1b4565a+dfsg-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Aug 2026 12:13:37 +0200

heimdal (7.8.git20240113.1b4565a+dfsg-1) unstable; urgency=medium

  * New (old) upstream version.

 -- Brian May <bam@debian.org>  Mon, 03 Aug 2026 08:00:11 +1000

heimdal (7.8.git20221117.28daf24+dfsg-12ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jul 2026 09:23:42 +0200

heimdal (7.8.git20221117.28daf24+dfsg-12) unstable; urgency=medium

  * Fix memory leak in handle_read. Closes: #1139320.
  * Add systemd service units for heimdal-kdc, heimdal-kpasswdd and
    heimdal-kcm. Closes: #1039220, #1030084.
  * Apply upstream fix ipropd-slave recovery.

 -- Brian May <bam@debian.org>  Tue, 30 Jun 2026 11:01:00 +1000

heimdal (7.8.git20221117.28daf24+dfsg-11ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Feb 2026 15:10:49 +0100

heimdal (7.8.git20221117.28daf24+dfsg-11) unstable; urgency=medium

  * Fix memory leak in heimdal-clients by applying upstream patch from
  https://github.com/heimdal/heimdal/commit/739f7e0484e412de7de6d5ef1100fcc20836d19d

 -- Brian May <bam@debian.org>  Thu, 26 Feb 2026 17:37:03 +1100

heimdal (7.8.git20221117.28daf24+dfsg-10ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jan 2026 16:53:21 +0100

heimdal (7.8.git20221117.28daf24+dfsg-10) unstable; urgency=medium

  [ Helmut Grohne ]
  * Explicitly depend on libcrypt-dev. (Closes: #1102912)

 -- Brian May <bam@debian.org>  Sun, 18 Jan 2026 08:59:40 +1100

heimdal (7.8.git20221117.28daf24+dfsg-9ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Mar 2025 08:12:03 +0100

heimdal (7.8.git20221117.28daf24+dfsg-9) unstable; urgency=medium

  * Use kadmin.heimdal in postinst instead of heimdal. Closes: #1070031.

 -- Brian May <bam@debian.org>  Tue, 04 Mar 2025 10:58:18 +1100

heimdal (7.8.git20221117.28daf24+dfsg-8ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:50:58 +0200

heimdal (7.8.git20221117.28daf24+dfsg-8) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Fix FTBFS with autoconf 2.72. Closes: #1078494.

 -- Brian May <bam@debian.org>  Mon, 12 Aug 2024 10:55:53 +1000

heimdal (7.8.git20221117.28daf24+dfsg-7ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:13:21 +0200

heimdal (7.8.git20221117.28daf24+dfsg-7) unstable; urgency=medium

  * Add include and includedir patch that was accidentally omitted.
  * Rename pkg-config to pkgconf in dependancy.

  [ Andreas Hasenack ]
  * Add support for include and includedir directives to krb5.conf.

 -- Brian May <bam@debian.org>  Thu, 08 Aug 2024 10:42:42 +1000

heimdal (7.8.git20221117.28daf24+dfsg-6ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2024 12:37:16 +0200

heimdal (7.8.git20221117.28daf24+dfsg-6) unstable; urgency=medium

  * Fix FTBFS due to not linking with crypt correctly. Applied patch from
    https://github.com/heimdal/heimdal/pull/1085. Closes: #1075064.

  [ Andreas Hasenack ]
  * Add a kinit DEP8 test which relies on the includedir support.

 -- Brian May <bam@debian.org>  Thu, 25 Jul 2024 16:19:48 +1000

heimdal (7.8.git20221117.28daf24+dfsg-5ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:27 +0000

heimdal (7.8.git20221117.28daf24+dfsg-5ubuntu2) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:32:53 +0000

heimdal (7.8.git20221117.28daf24+dfsg-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Mar 2024 01:31:18 +0100

heimdal (7.8.git20221117.28daf24+dfsg-5) unstable; urgency=medium

  * Apply NMU patches. Closes: #1065373.

 -- Brian May <bam@debian.org>  Sat, 09 Mar 2024 11:01:27 +1100

heimdal (7.8.git20221117.28daf24+dfsg-4.2) unstable; urgency=medium

  [ Matthias Klose ]
  * Filter-out -Werror=implicit-function-declaration, unconditionally set
    by abi=time64.

 -- Steve Langasek <vorlon@debian.org>  Fri, 08 Mar 2024 08:21:09 +0000

heimdal (7.8.git20221117.28daf24+dfsg-4.1ubuntu3) noble; urgency=medium

  * No-change rebuild for libcom-err2t64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2024 07:48:10 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4.1ubuntu2) noble; urgency=medium

  * Filter-out -Werror=implicit-function-declaration, unconditionally set
    by abi=time64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 15:31:17 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:20:07 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064097

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 08:36:52 +0000

heimdal (7.8.git20221117.28daf24+dfsg-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2024 08:40:53 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4) unstable; urgency=medium

  * Always build the rk_strlcat and rk_strlcpy symbols even if included in
    glibc. Closes: #1055316.

 -- Brian May <bam@debian.org>  Wed, 03 Jan 2024 11:43:58 +1100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu4) noble; urgency=medium

  * Revert addition of Build-Depends-Package in symbols files. This should
    make openafs installable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 20:31:34 +0100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu3) noble; urgency=medium

  * d/lib{kafs0,roken19}-heimdal.symbols: Change symbol dependencies
    on libroken19-heimdal and libkafs0-heimdal to build-depends on
    itself to avoid future symbol skew.
  * d/control: Add packages with binary commands that uses
    libroken19-heimdal symbols to the Breaks: (not only libraries).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 15 Dec 2023 12:16:53 +0100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu2) noble; urgency=medium

  * d/lib{kafs0,roken19}-heimdal.symbols:
    - _{kafs,rk}_strl{cat,cpy} are made optional symbols, since they
      are not needed when built against glibc 2.38 (LP: #2036253).
    - Make symbol dependencies on libroken19-heimdal and libkafs0-heimdal
      strict to avoid future symbol skew.
  * d/control: Declare Breaks: against older packages using these symbols.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 29 Nov 2023 12:55:12 +0100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jul 2023 09:23:55 -0700

heimdal (7.8.git20221117.28daf24+dfsg-3) unstable; urgency=medium

  * Fix random "Ticket expired" and "Clock skew too great" errors by setting
    kdc_offset correctly. Closes: #1039992.

 -- Brian May <bam@debian.org>  Tue, 04 Jul 2023 10:09:56 +1000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog heimdal-docs`.
